# Client Libraries

## Crate java client

- Crate Java Client
  - Usage
  - Maven

## Crate python client

- Crate Client Usage
  - Connect to a Database
  - Selecting Some Data
  - Cursor Description
  - Closing the Cursor
  - Closing the Connection
- Crate BLOB API
  - Uploading Blobs
  - Retrieving Blobs
  - Deleting Blobs
- SQLAlchemy Support
  - Connection String

### API documentation

- crate Package
  - `crate` Package
  - Subpackages